-------------------------------------------------
--SoftLight scripted plug-in Tutorial PHASE ONE
--by Borislav 'Bobo' Petrov
--http://www.gfxcentral.com/bobo/mxs4/tuts/
-------------------------------------------------

s = $Spot01
helix_path = helix radius1:20 radius2:0 height:0 turns:5
helix_path.pos = s.pos
helix_path.transform.controller = lookat()
helix_path.lookat = copy s.target
helix_path.name = uniquename "SoftLight_Temp" 
helix_path.parent = s 
num_lights = 42
for i = 1 to num_lights do 
(
new_light = copy s
new_target = copy s.target
new_light.target = new_target 
new_light.multiplier = s.multiplier / num_lights
new_light.name = uniquename "SoftLight_Temp"  
new_light.raytracedShadows = s.raytracedShadows
new_light.pos.controller = path path:helix_path
deleteKeys new_light.pos.controller.percent.keys #allkeys
new_light.pos.controller.percent=(100.0*i/num_lights)
new_light.on = true
)
s.on = false
